TZSELECT(8)

BEZEICHNUNG
tzselect - Auswahl der Zeitzone

ÜBERSICHT
tzselect [ -c Koordinaten ] [ -n Begrenzung ] [ --help ] [ --version ]

BESCHREIBUNG
Das Programm tzselect fragt den Benutzer nach seinem aktuellen Standort und gibt die Beschreibung der daraus bestimmten Zeitzone auf der Standardausgabe aus. Die Ausgabe kann als Wert für die Umgebungsvariable TZ verwendet werden.

Die gesamte Interaktion mit dem Benutzer erfolgt über die Standardeingabe und die Standardfehlerausgabe.

OPTIONEN

-c Koordinaten
    fragt nach der Auswahl aus Zeitzonen, deren größte Städte am nächsten zu den angegebenen Koordinaten liegen, statt den Kontinent und dann die Stadt abzufragen. Für die Angabe Koordinaten wird die Notation gemäß ISO 6709 verwendet, das bedeutet, dass auf den Breitengrad unmittelbar der Längengrad folgt. Breitengrad und Längengrad sollten vorzeichenbehaftete Ganzzahlen sein, denen optional ein Dezimalpunkt und danach die dezimalen Bruchteile folgen: positive Zahlen repräsentieren Nord und Ost, während negative Zahlen Süd und West bezeichnen. Breitengrade mit zwei und Längengrade mit drei Stellen werden als Grad-Angaben aufgefasst; Breitengrade mit vier- oder sechs- sowie Längengrade mit fünf- oder siebenstelligen Ganzzahlen werden als GGMM, GGGMM, GGMMSS oder GGGMMSS betrachtet, wobei GG oder GGG Grad, MM Minuten und Null oder SS Sekunden darstellen. Angehängte Bruchteile stellen die Bruchteile von Minuten oder (falls SS vorhanden ist) die Bruchteile von Sekunden dar. Als Dezimaltrenner wird das von der aktuellen Locale vorgegebene Zeichen verwendet. Beispielsweise bedeutet -c +40.689-074.045 in der (standardmäßigen) Locale C 40.689°N, 74.045°W, -c +4041.4-07402.7 specifies 40°41.4′N, 74°2.7′W, und -c +404121-0740240 bedeutet 40°41′21″N, 74°2′40″W. Falls die Koordinaten nicht in einer der dokumentierten Formen angegeben werden, lässt sich das Verhalten nicht voraussagen.

-n Begrenzung
    zeigt bei Verwendung von -c die nächstliegenden Orte, deren Zahl durch die Begrenzung angegeben ist (standardmäßig 10).

--help
    gibt Hilfeinformationen aus und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

UMGEBUNGSVARIABLEN

AWK Name eines POSIX-kompatiblen Awk-Programms (voreingestellt: awk).

TZDIR
    Name des Verzeichnisses, welches die Zeitzonen-Dateien enthält (voreingestellt: /usr/share/zoneinfo).

DATEIEN

TZDIR/iso3166.tab
    Tabelle der Ländernamen und 2-Buchstaben-Länderkürzel nach ISO 3166.

TZDIR/zone1970.tab
    Tabelle der Länderkürzel, Längen- und Breitengrade, Zeitzonen und beschreibender Kommentare.

TZDIR/TZ
    Zeitzonendatei für die Zeitzone TZ.

EXIT-STATUS
Der Exit-Status ist Null, wenn die Zeitzone erfolgreich vom Benutzer abgefragt werden konnte, anderenfalls ungleich Null.

SIEHE AUCH
newctime(3), tzfile(5), zdump(8), zic(8)

ANMERKUNGEN
Anwendungen sollten nicht davon ausgehen, dass die Ausgabe von tzselect den politischen Präferenzen des Benutzers entspricht.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Martin Eberhard Schauer <Martin.E.Schauer@gmx.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.